Subject: You'll have all the class, and still have all your money.

From: "Kaelyn Laird" <[email-masked]>
Date: Thu, 2 Jul 2009 15:51:04 -0500

Look rich and successful without having to spend thousands. Nothing
impresses business colleagues and friends more than a diamond studded
Rolex, or a classic Patek Philippe strapped around your wrist.

Our e-store houses more than 20+ world famous brands. Prices for the
originals range in the tends of thousands, but pick up a buy for just
$199 up.

Sale ends this week - so visit now for the best bargains.

Welcome inside http://ourbestwatchs.net

Kaelyn Laird (UK)

Thanks! www.ourbestwatchs.net